Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88412 - g++3 crashes compiling STAF
Summary: g++3 crashes compiling STAF
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc3
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 22:14 UTC by Eric Schwartz
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 20:01:07 UTC


Attachments (Terms of Use)

Description Eric Schwartz 2003-04-09 22:14:15 UTC
Description of problem:
Trying to compile STAF <URL:http://staf.sf.net/>; it seems to have a subtle
compiler bug in gcc-2.96, so I thought I'd compile with gcc3.  When compiling
with gcc3, I got this message:

g++3 -c -o /test/staf/obj/linux/staf/retail/services/log/STAFLogService.o
-D_XOPEN_SOURCE -D_BSD_SOURCE -DSTAF_OS_NAME_LINUX -DSTAF_GETHOSTBYNAME_R_6PARM
 -fPIC -O -DNDEBUG -DSTAF_SHARED_LIB_PREFIX=lib -DSTAF_SHARED_LIB_SUFFIX=.so
-D_PTHREADS -DSTAF_NATIVE_COMPILER  -I/test/staf/src/staf/services/log
-I/test/staf/src/staf/services/log/unix -I/test/staf/src/staf/stafif/unix
-I/test/staf/src/staf/stafif /test/staf/src/staf/services/log/STAFLogService.cpp
/test/staf/src/staf/services/log/STAFLogService.cpp: In function `void
   writeUIntToFile(std::ostream&, unsigned int, unsigned int)':
/test/staf/src/staf/services/log/STAFLogService.cpp:2629: Internal compiler
   error in elimination_effects, at reload1.c:2696
Please submit a full bug report,
with preprocessed source if appropriate.

Version-Release number of selected component (if applicable):
gcc3-3.0.4-1

How reproducible:
100%

Steps to Reproduce:
1. Download the attached tarball; create 'staf' dir; uncompress into that dir
2. cd to src/staf
3. CC_NAME=gcc3 OS_NAME=linux BUILD_TYPE=retail PROJECTS=staf make
4. Should fail on STAFLogService.cpp

NOTE: I tried just creating a preprocessed cpp file, but I couldn't get that to
work, so sorry, but the tarball isn't very large.
    
Actual results:
g++3 crashes

Expected results:
g++3 doesn't crash

Additional info:
This program uses lots of pthreads, it seems.

Comment 1 Eric Schwartz 2003-04-09 22:47:07 UTC
The tarball is available from
http://free.linux.external.hp.com/~emschwar/STAF-2.4.5.tar.gz

Comment 2 Richard Henderson 2004-10-03 20:01:07 UTC
Compilation succeeds with gcc-3.2.3-20.

Comment 3 Eric Schwartz 2005-01-20 02:29:02 UTC
Are there plans to ship 3.2.3 with 2.1?  So far as I can tell, 3.0.4
is the only version I've found that it won't compile with.


Note You need to log in before you can comment on or make changes to this bug.